RedCrawler API
Moderation V1

Subreddit Settings by Name V1

Get subreddit edit settings. Requires moderator privileges.

GET /api/v1/communities/{name}/settings

Get subreddit edit settings. Requires moderator privileges.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name (e.g. test).

Query parameters

NameTypeRequiredDescription
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/communities/test/settings?proxy=<proxy>&bearer=<bearer>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/test/settings?proxy=<proxy>&bearer=<bearer>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/test/settings?proxy=<proxy>&bearer=<bearer>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "default_set": true,
    "toxicity_threshold_chat_level": 0,
    "crowd_control_chat_level": 1,
    "restrict_posting": true,
    "public_description": "RedCrawlerAPI",
    "subreddit_id": "t5_hmeujo",
    "allow_images": true,
    "free_form_reports": false,
    "domain": null,
    "original_content_tag_enabled": false,
    "subreddit_discovery_settings": {
      "disabled_discovery_types": null
    },
    "show_media": true,
    "exclude_banned_modqueue": false,
    "should_archive_posts": false,
    "submit_text": "",
    "allow_polls": true,
    "title": "RedCrawlerAPI",
    "collapse_deleted_comments": true,
    "wikimode": "disabled",
    "wiki_edit_age": 0,
    "allow_videos": true,
    "allow_galleries": true,
    "crowd_control_level": 0,
    "crowd_control_mode": false,
    "welcome_message_enabled": false,
    "welcome_message_text": null,
    "over_18": false,
    "suggested_comment_sort": null,
    "disable_contributor_requests": false,
    "allow_talks": false,
    "description": "RedCrawlerAPI",
    "submit_link_label": "",
    "spoilers_enabled": true,
    "allow_post_crossposts": true,
    "spam_comments": "low",
    "public_traffic": false,
    "restrict_commenting": false,
    "comment_contribution_settings": {
      "allowed_media_types": [
        "giphy",
        "static",
        "animated",
        "expression",
        "video"
      ]
    },
    "submit_text_label": "",
    "comment_score_hide_mins": 0,
    "all_original_content": false,
    "spam_selfposts": "low",
    "key_color": "",
    "language": "en",
    "new_pinned_post_pns_enabled": true,
    "hide_ads": false,
    "prediction_leaderboard_entry_type": 1,
    "header_hover_text": "",
    "modmail_harassment_filter_enabled": true,
    "allow_chat_post_creation": false,
    "allow_prediction_contributors": false,
    "allow_discovery": true,
    "accept_followers": true,
    "crowd_control_post_level": 0,
    "allow_predictions_tournament": false,
    "wiki_edit_karma": 100,
    "show_media_preview": true,
    "crowd_control_filter": false,
    "subreddit_type": "public",
    "spam_links": "low",
    "allow_predictions": false,
    "user_flair_pns_enabled": true,
    "content_options": "any"
  },
  "error": null,
  "timestamp": "2026-04-29T19:05:34.002059+00:00"
}

On this page